[arch-commits] Commit in python-readme-renderer/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sun Dec 9 21:51:16 UTC 2018


    Date: Sunday, December 9, 2018 @ 21:51:15
  Author: felixonmars
Revision: 413263

upgpkg: python-readme-renderer 24.0-2

fix dependencies

Modified:
  python-readme-renderer/trunk/PKGBUILD

----------+
 PKGBUILD |   13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2018-12-09 21:50:54 UTC (rev 413262)
+++ PKGBUILD	2018-12-09 21:51:15 UTC (rev 413263)
@@ -3,7 +3,7 @@
 pkgbase=python-readme-renderer
 pkgname=(python-readme-renderer python2-readme-renderer)
 pkgver=24.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Safely render long_description/README files in Warehouse"
 url="https://github.com/pypa/readme_renderer"
 license=('Apache')
@@ -10,8 +10,7 @@
 arch=('x86_64')
 makedepends=('python-setuptools' 'python2-setuptools' 'python-bleach' 'python2-bleach'
              'python-cmarkgfm' 'python2-cmarkgfm' 'python-docutils' 'python2-docutils'
-             'python-future' 'python2-future' 'python-pygments' 'python2-pygments' 'python-six'
-             'python2-six')
+             'python-pygments' 'python2-pygments' 'python-six' 'python2-six')
 checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock')
 source=("$pkgbase-$pkgver.tar.gz::https://github.com/pypa/readme_renderer/archive/$pkgver.tar.gz")
 sha512sums=('d5e98215469f2335da9ee52d29e3d7e12d2b5a481274587ae8c0286a807004749ef19f57aa4475cd6e56e782bc2c6926fcc2c9bc4250aa2b6549700bf29f989b')
@@ -29,8 +28,8 @@
 }
 
 package_python-readme-renderer() {
-  depends=('python-bleach' 'python-cmarkgfm' 'python-docutils' 'python-future' 'python-pygments'
-           'python-six')
+  depends=('python-bleach' 'python-docutils' 'python-pygments' 'python-six')
+  optdepends=('python-cmarkgfm: for Markdown support')
 
   cd readme_renderer-$pkgver
   python setup.py install --root="$pkgdir" --optimize=1
@@ -37,8 +36,8 @@
 }
 
 package_python2-readme-renderer() {
-  depends=('python2-bleach' 'python2-cmarkgfm' 'python2-docutils' 'python2-future' 'python2-pygments'
-           'python2-six')
+  depends=('python2-bleach' 'python2-docutils' 'python2-pygments' 'python2-six')
+  optdepends=('python2-cmarkgfm: for Markdown support')
 
   cd readme_renderer-$pkgver
   python2 setup.py install --root="$pkgdir" --optimize=1


More information about the arch-commits mailing list